require 'redmine'
require 'redmine_le'

require 'dispatcher'
Dispatcher.to_prepare do
  RedmineLe.apply_patch
end

Redmine::Plugin.register :redmine_le do
  name 'RedmineLE plugin'
  author 'Akihiro Ono'
  description 'Extensions for RedmineLE'
  version '0.0.1'

  menu :admin_menu, :redmine_le, {
    :controller => 'redmine_le_settings', :action => 'index'
  }, :caption => 'RedmineLE'

  # HACK: for showing configure link
  settings(:partial => true)
end
